services: 
  omnivoice-server:
    build: .
    security_opt:
      - apparmor:flatpak
    ports:
      - "8000:8000"
    volumes:
      - ./models:/models
    devices:
      - "/dev/kfd:/dev/kfd"
      - "/dev/dri:/dev/dri"
    group_add:
      - video
    ipc: host
    cap_add:
      - SYS_PTRACE
    environment:
      - HSA_OVERRIDE_GFX_VERSION=11.0.0
    command: >
      /app/tts-server
      --model /models/omnivoice-base-Q4_K_M.gguf
      --codec /models/omnivoice-tokenizer-Q4_K_M.gguf
      --host 0.0.0.0
      --port 8000
#    command: >
#       vulkaninfo | grep "deviceName"
    logging:
      options:
        max-size: "1m"
        max-file: "1"
